From: Eugeniy Meshcheryakov <eugen@debian.org>
Subject: Repeat user input on syntax errors
  This makes using checker *much* easier and is the same
  thing that SICStus does.
Forwarded: not-needed
--- a/checker/sicstus.pro
+++ b/checker/sicstus.pro
@@ -96,7 +96,7 @@
 /* In iso language mode, SICSTUS read/1 _doesn't_ consume layout by default, so we */
 /* have to use the more flexible read_term/2 */
 read_term_and_layout(V) :-
-        read_term(A, [consume_layout(true)]),
+        read_term(A, [consume_layout(true), syntax_errors(dec10)]),
         !,
         normalize_negative_literals(A, V).
 
